POST resource/get-increased-reading-by-resources

Gets the resource novelties in the community from the search date

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

Body Parameters

NameDescriptionTypeAdditional information
resources_id

Resources identifier

List`1

Required

Request Formats

application/json, text/json

Sample:
[
  "cc0499ba-8dc2-45e4-ab5e-9d82fdef8616",
  "3dc89bf5-8957-40fc-ac2f-45000a78456b"
]

Response Information

Resource Description

DescriptionType

Dictionary`2

Response Formats

application/json, text/json

Sample:
{
  "21a7a0c7-c7b4-48f7-a3af-e112f1dea159": {
    "title": "sample string 1",
    "description": "sample string 2"
  },
  "6bd1ccd6-4352-48cf-8bc9-b07a8b04dd24": {
    "title": "sample string 1",
    "description": "sample string 2"
  }
}

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...